#ifndef CDIALOG_MAIN_H
#define CDIALOG_MAIN_H

#include "stdafx.h"
#include "cflironecontrol.h"

#define IMAGE_WIDTH 160
#define IMAGE_HEIGHT 120

class CDialog_Main:public CDialog
{
 protected:
  //- -------------------------------------------------------
  unsigned long *ImagePtr;//
  CEvent cEvent_Exit;//  
  CWinThread *cWinThread_ProcessingThread;//   
  //- ----------------------------------------------------------
  //-------------------------------------------------------------------
 public:
  //- ------------------------------------------------------
  CDialog_Main(LPCTSTR lpszTemplateName,CWnd* pParentWnd);
  //- -------------------------------------------------------
  ~CDialog_Main();
  //- -------------------------------------------------------
  //-  -----------------------------------------------
  afx_msg void OnOK(void);
  afx_msg void OnCancel(void);
  afx_msg void OnClose(void);
  afx_msg BOOL OnInitDialog(void);
  //-  ----------------------------------------------------
  CEvent* GetEventExitPtr(void);//     

  //-   --------------------------------------
  DECLARE_MESSAGE_MAP()
  afx_msg void OnDestroy(void);
  afx_msg void OnTimer(UINT nIDEvent);
  afx_msg void OnPaint(void);  
 protected:
  //-  ----------------------------------------------------  
  void StartThread(void);// 
  void StopThread(void);// 
  //------------------------------------------------------------------- 
};

UINT ProcessingThread(LPVOID pParam);// 

#endif